/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Messwerte auf einem i2c Display mit zwei Zeilen a 16 Zeichen ausgeben
 ***************************************************************************/
// Includes -----------------------------------------------------------------
// entweder das Adafruit Shield oder eine externes I2C LCD
//#include <Adafruit_RGBLCDShield.h>
#include <LiquidCrystal_I2C.h>

#include <arduino.h>
#include <Wire.h>                       // I2C on Arduino
#include "i2c_adressen.h"
#include "i2clcd.h"
 
// Variablen -----------------------------------------------------------------
// entweder das Adafruit Shield oder eine externes I2C LCD
//Adafruit_RGBLCDShield lcd = Adafruit_RGBLCDShield();
LiquidCrystal_I2C lcd(I2C_LCD_DISPLAY1, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  

// Funktionen ----------------------------------------------------------------
void i2c_lcd_Setup(void)
{
  lcd.begin(16,2);
  lcd.clear();
  i2c_lcd_Write(I2CLCD_LINE1,"**** SEaP: *****");
  i2c_lcd_Write(I2CLCD_LINE2,"----------------");
  delay(1000);
}

void i2c_lcd_Write(uint8_t line, char* txt)
{
  switch(line)
  {
    case I2CLCD_LINE1:
      lcd.setCursor(0,0);
      break;
    case I2CLCD_LINE2:
      lcd.setCursor(0,1);
      break;
  }
  lcd.print(txt);
}
